Invest in the Future You Want to See. Closing Soon!

A First Public Offering of Purism Stock on StartEngine. Minimum $500.

Invest Now

No, these vulnerabilities are patched in our coreboot/PureBoot firmware and as future Intel vulnerabilities in that family happen, that’s where we end up applying patches. So Librem laptops, Librem server, and Librem Mini are protected on coreboot level, no matter which OS you are using. Just make sure you are always on latest coreboot/PureBoot version.

Recent Posts

Related Content

    Tags